org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ArrayValue

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase
              - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase.ValueWithLazyVariables
                - - org.eclipse.wst.jsdt.chromium.debug.core.model.Value
                  - - org.eclipse.wst.jsdt.chromium.debug.core.model.ArrayValue

    public class ArrayValue
    extends Value

An IIndexedValue implementation for an array element range using a JsArray instance.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.Value

`Value.ReloadValueCallback`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`ValueBase.ErrorMessageValue, ValueBase.ValueWithLazyVariables`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`ArrayValue(EvaluateContext evaluateContext, JsArray array, org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionTrackerNode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getInitialOffset()`
`int` `getSize()`
`IVariable` `getVariable(int offset)`
`IVariable[]` `getVariables()`
`IVariable[]` `getVariables(int offset, int length)`
`boolean` `hasVariables()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.Value

`asRealValue, calculateVariables, computeDetailAsync, create, getExpressionTrackerNode, getJsValue, getReferenceTypeName, getValueString, isAllocated, isTruncated, reloadBiggerValue`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`cast`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayValue

    public ArrayValue(EvaluateContext evaluateContext,
                      JsArray array,
                      org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionTrackerNode)

### Method Detail

#### getInitialOffset

    public int getInitialOffset()

#### getSize

    public int getSize()
                throws DebugException

Throws:
  `DebugException`

#### getVariable

    public IVariable getVariable(int offset)
                          throws DebugException

Throws:
  `DebugException`

#### getVariables

    public IVariable[] getVariables(int offset,
                                    int length)
                             throws DebugException

Throws:
  `DebugException`

#### getVariables

    public IVariable[] getVariables()
                             throws DebugException

Overrides:
  `getVariables` in class `ValueBase.ValueWithLazyVariables`
Throws:
  `DebugException`

#### hasVariables

    public boolean hasVariables()
                         throws DebugException

Overrides:
  `hasVariables` in class `Value`
Throws:
  `DebugException`